<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Device>
 */
class DeviceFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'device_id' => '1',
            'title' => 'Test Device One',
            'device_type' => 'type1',
            'description' => 'des',
            'accessories' => 'acc',
            'rz_username_buyer' => 'rzb',
            'serial_number' => '123',
            'image_url' => 'www.url.de'
        ];
    }
}
